# hardcoded so that build from another distro keeps this name
# (mandatory to have correct package name and source name)
%define _real_vendor mageia

%if %{?distsuffix:0}%{?!distsuffix:1}
%define distsuffix .mga
%endif

%if %{?mkrel:0}%{?!mkrel:1}
%define mkrel(c:) %{-c: 0.%{-c*}.}%{1}%{?distsuffix:%distsuffix}%{?!distsuffix:.mga}%{?distro_release:%distro_release}%{?subrel:.%subrel}
%endif

# This can be useful for backport, as rpm-4.2
# provides the emacs-spec mode
%define have_emacsmodespec 1

%{?_with_emacsspecmode: %define have_emacsmodespec 1}
%{?_without_emacsspecmode: %define have_emacsmodespec 0}

%define subrel 1

Summary:	The %{distribution} rpm configuration and scripts
Name:		rpm-%{_real_vendor}-setup
Version:	1.147
Release:	%mkrel 8
Source0:	%{name}-%{version}.tar.xz
#Source1:	rpm-helper.req
# Patch that need a review
Patch1:         rpm-mageia-setup-1.145-fix-rpm49-build.patch
# Patches already in mageia svn 
Patch2:         rpm-mageia-setup-1.147-add-osgi-maven-support.patch
Patch3:         rpm-mageia-setup-1.147-Use-upstream-desktop-file.prov.patch
Patch4:         rpm-mageia-setup-1.147-Better-handle-maven-prov.patch
Patch5:         rpm-mageia-setup-1.147-Better-handle-osgi-prov.patch
Patch6:		rpm-mageia-setup-1.147-kmod.prov-handle-xz.patch
#Patch7:		rpm-mageia-setup-1.147-systemd-require-versioned-rpm-helper.patch
License:	GPLv2+
Group:		System/Configuration/Packaging
Url:		http://www.mageia.org/
BuildRequires:	rpm-devel
%rename rpm-mandriva-setup

%description
The %{distribution} rpm configuration and scripts.

%package	build
Group:		System/Configuration/Packaging
Summary:	The %{distribution} rpm configuration and scripts to build rpms
Requires:	spec-helper
Requires:	multiarch-utils
# needed for script to extract pkgconfig info
Requires:	pkgconfig
Requires:	python-pkg-resources
Requires:	rpmlint-mageia-policy
Requires:	%name = %version-%release
# for product version macros
Requires:	%{_real_vendor}-release
%rename rpm-mandriva-setup-build

%description	build
The %{distribution} rpm configuration and scripts dedicated to build rpms.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
#patch7 -p1

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/rpm/macros.d

# FIXME better fix the Makefile directly in the source code
mv %{buildroot}%{_prefix}/lib/rpm/%{_real_vendor}/macros %{buildroot}%{_sysconfdir}/rpm/macros.d/20common.macros
mv %{buildroot}%{_sysconfdir}/rpm/macros.d/{build.macros,20build.macros}

# install rpm-helper.req
#install -m 755 %{SOURCE1} %{buildroot}%{_prefix}/lib/rpm/%{_real_vendor}/

%if %have_emacsmodespec
# spec mode for emacs
install -d $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/
install -m644 rpm-spec-mode.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el
(setq auto-mode-alist (cons '("\\\\.spec$" . rpm-spec-mode) auto-mode-alist))
(autoload 'rpm-spec-mode "rpm-spec-mode" "RPM spec mode (for %{distribution})." t)
EOF
%endif

%check
make test

%files
%dir %{_prefix}/lib/rpm/%{_real_vendor}
%{_prefix}/lib/rpm/%{_real_vendor}/rpmrc
%{_prefix}/lib/rpm/%{_real_vendor}/rpmpopt
%{_prefix}/lib/rpm/rpmb_deprecated
%dir %{_sysconfdir}/rpm/macros.d
%{_sysconfdir}/rpm/macros.d/20common.macros

%files build
%doc NEWS ChangeLog
%{_sysconfdir}/rpm/macros.d/20build.macros
%{_prefix}/lib/rpm/%{_real_vendor}/*
%exclude %{_prefix}/lib/rpm/%{_real_vendor}/rpmrc
%exclude %{_prefix}/lib/rpm/%{_real_vendor}/rpmpopt
%exclude %{_prefix}/lib/rpm/rpmb_deprecated
%if %have_emacsmodespec
%{_datadir}/emacs/site-lisp/rpm-spec-mode.el
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}.el
%endif


%changelog

* Thu Jun 28 2012 tv <tv> 1.147-8.1.mga2
+ Revision: 264694
- fix upgrade from mdv

  + tmb <tmb>
    - disable rpm-helper autoreq script as it breaks more than it fixes

* Fri Apr 27 2012 tmb <tmb> 1.147-7.mga2
+ Revision: 233483
- add autoreq script to add versioned rpm-helper requires for systemd (guillomovitch/tv/tmb)

* Thu Feb 16 2012 tmb <tmb> 1.147-6.mga2
+ Revision: 209755
- have kmod.prov handle .xz compressed modules as well

* Mon Feb 13 2012 dmorgan <dmorgan> 1.147-5.mga2
+ Revision: 208317
- Better handling of osgi.prov

* Thu Jan 26 2012 blino <blino> 1.147-4.mga2
+ Revision: 201807
- require rpmlint-mageia-policy, as discussed on "[Mageia-dev] rpmlint"
  thread, and as per suggestion of pterjan

* Sat Dec 31 2011 dmorgan <dmorgan> 1.147-3.mga2
+ Revision: 189248
- Only catch maven pom files ( mga #3963)

* Wed Dec 28 2011 dmorgan <dmorgan> 1.147-2.mga2
+ Revision: 188289
- Add P2: Use new osgi/maven.prov files from jpackages-utils
  Add P3: Use upstream desktop-file.prov as our is identical
- Remove P0: reverted in svn because breaks deps generator

* Tue Dec 27 2011 anssi <anssi> 1.147-1.mga2
+ Revision: 188160
- 1.147
  o add support for $EXCLUDE_FROM_FULL_STRIP regexp which makes
    find-debuginfo.sh only strip debugging symbols from the matched files
    (from Mandriva).

* Mon Dec 26 2011 dmorgan <dmorgan> 1.145-3.mga2
+ Revision: 187657
- Disable internal deps generator

* Sun Dec 25 2011 dmorgan <dmorgan> 1.145-2.mga2
+ Revision: 187548
- Add P1: Fix build with rpm 4.9
- Revert to  version 1.145
  Add patch enabling dep generator
- Use new source
- Remove old source
- Enable new internal dep generator ( needed for java packages)

* Tue Nov 08 2011 jquelin <jquelin> 1.145-1.mga2
+ Revision: 165314
- update to 1.145

* Mon Sep 19 2011 fwang <fwang> 1.144-1.mga2
+ Revision: 145263
- new version 1.144

  + misc <misc>
    - do not hardcode the name of the distribution
    - fix Requires, and add some various comments
    - do not keep old directive to use /etc/rpm/platform, as this is unused on
      the regular rpm version
    - remove useless conflicts
    - remove others old obsoletes
    - clean the spec, remove old directives
    - remove old Conflict/Obsoletes, as we are no longer supporting upgrade from Mandriva
    - remove temporary Provides ( nothing requires perl-suid )

* Mon Aug 29 2011 jquelin <jquelin> 1.142-1.mga2
+ Revision: 136029
- update to 1.142

  + fwang <fwang>
    - push python-gi req for python introspection callings
    - 1.140: push python-gi req for python introspection callings

* Fri Jul 15 2011 cjw <cjw> 1.139-1.mga2
+ Revision: 124427
- 1.139: gobject introspection requires: do not emit typelib(GOBJ) when
         no deps are listed in a typelib

* Thu Jul 07 2011 cjw <cjw> 1.138-1.mga2
+ Revision: 119922
- 1.138: gobject introspection dependencies fix for python:
         ignore whitespace in the comma-separated lists

* Thu Jul 07 2011 boklm <boklm> 1.137-1.mga2
+ Revision: 119882
- version 1.137 from cjw: extract gobject introspection typelib interdependencies using a helper program

* Wed Jul 06 2011 boklm <boklm> 1.136-1.mga2
+ Revision: 119525
- version 1.136

* Wed Jul 06 2011 boklm <boklm> 1.135-1.mga2
+ Revision: 119453
- version 1.135

* Mon May 30 2011 pterjan <pterjan> 1.133-1.mga1
+ Revision: 100758
- Default section to core, useful for local builds

* Mon May 30 2011 pterjan <pterjan> 1.132-1.mga1.
+ Revision: 100750
- do not append .%%distro_section if section is core

* Fri May 20 2011 pterjan <pterjan> 1.131-1.mga1
+ Revision: 99853
- Update to 1.131 with new mkrel

* Fri May 06 2011 boklm <boklm> 1.130-1.mga1
+ Revision: 95456
- version 1.130

* Thu Apr 28 2011 boklm <boklm> 1.127-1.mga1
+ Revision: 93318
- version 1.127

* Wed Mar 23 2011 boklm <boklm> 1.126-1.mga1
+ Revision: 76098
- version 1.126 to fix #497

* Wed Mar 16 2011 rtp <rtp> 1.124-1.mga1
+ Revision: 72723
- Version 1.124: fix _host macro

* Sun Mar 13 2011 boklm <boklm> 1.123-1.mga1
+ Revision: 70792
- version 1.123: add fontconfig.prov provides script

* Fri Mar 04 2011 boklm <boklm> 1.122-1.mga1
+ Revision: 63866
- version 1.122

* Thu Mar 03 2011 tmb <tmb> 1.120-1.mga1
+ Revision: 63420
- kmod.prov: convert special chars [,],:,- to _ when generating
  kernel module version provides (needed with rpm-4.8.1)

* Wed Mar 02 2011 jquelin <jquelin> 1.119-1.mga1
+ Revision: 62625
- update to 1.119

* Mon Feb 28 2011 tmb <tmb> 1.118-2.mga1
+ Revision: 61576
- drop /usr/lib/rpm/manbo symlink as rpm is now fixed

* Sat Feb 26 2011 jquelin <jquelin> 1.118-1.mga1
+ Revision: 60350
- update to 1.118

* Sun Feb 20 2011 ahmad <ahmad> 1.117-1.mga1
+ Revision: 55071
- new version 1.117
  o merge svn rev. 271797 from Mandriva to make the python eggs auto-requires
    always lowercase

* Sun Feb 06 2011 tmb <tmb> 1.116-1.mga1
+ Revision: 47647
- new version 1.116
  - merge rpmrc from rpm-manbo-setup
  - merge manbo.macros from rpm-manbo-setup
  - merge manbo-build.macros from rpm-manbo-setup
  - merge under/overlinking scripts from rpm-manbo-setup
  - merge rpm -b deprecated warning scripts from rpm-manbo-setup
- obsolete rpm-manbo-setup(-build) to get a clean upgrade
- add /usr/lib/rpm/manbo symlink pointing to /usr/lib/rpm/mageia
  in order to allow upgrade without breaking current rpm and BS

* Tue Jan 25 2011 shikamaru <shikamaru> 1.115-12.mga1
+ Revision: 39575
- fix dependencies in rubygems.rb (only include runtime dependencies)

* Thu Jan 20 2011 blino <blino> 1.115-11.mga1
+ Revision: 25078
- hardcode _real_vendor
- use _real_vendor macro
- revert rpm-manbo-setup obsoletes since it is not merged

* Wed Jan 19 2011 tmb <tmb> 1.115-9.mga1
+ Revision: 24937
- hardcode distro name to mageia to get rid of rpm-manbo-setup-*
- drop requirements on rpm-manbo-setup-*
- obsolete rpm-manbo-setup-*

* Tue Jan 18 2011 blino <blino> 1.115-8.mga1
+ Revision: 21934
- add hackish perl-suid provides to ease perl-5.12 transition

* Mon Jan 17 2011 blino <blino> 1.115-7.mga1
+ Revision: 20662
- remove python abi hack

* Thu Jan 13 2011 pterjan <pterjan> 1.115-6.mga1
+ Revision: 12442
- Bump release

  + blino <blino>
    - add a FIXME note
    - temporarily add a python(abi) provide while python is not upgraded

* Mon Jan 10 2011 blino <blino> 1.115-4.mga1
+ Revision: 4926
- rebuild
- provide rpm-mandriva-setup to ease transition

* Sun Jan 09 2011 blino <blino> 1.115-2.mga1
+ Revision: 3793
- obsolete rpm-mandriva-setup package

* Sun Jan 09 2011 blino <blino> 1.115-1.mga1
+ Revision: 3489
- remove old workaround
- update comment in rpm-mode for emacs
- use distro_release macro
- update hardcoded distsuffix
- use rpm-mageia-setup tarball
- put lowercased distro name in a macro
- update the distribution name macro
- require mageia-release
- remove old macros and version checks
- rename spec file
- rename as rpm-mageia-setup
- imported package rpm-mandriva-setup

